package ruben.uoc.comedorescolar.model;


import java.io.Serializable;
import java.util.ArrayList;

public class Menu implements Serializable{

    private String nombre;
    private String fechaPublicacion;
    private String foto;
    private ArrayList<String> ingredientes;
    private int votos;
    private float puntuacion;

    public Menu(){}

    public Menu(String nombre, String fechaPublicacion, String foto, ArrayList<String> ingredientes) {
        this.nombre = nombre;
        this.fechaPublicacion = fechaPublicacion;
        this.foto = foto;
        this.ingredientes = ingredientes;
        this.votos = 0;
        this.puntuacion = 0;
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public String getFechaPublicacion() {
        return fechaPublicacion;
    }

    public void setFechaPublicacion(String fechaPublicacion) {
        this.fechaPublicacion = fechaPublicacion;
    }

    public String getFoto() {
        return foto;
    }

    public void setFoto(String foto) {
        this.foto = foto;
    }

    public ArrayList<String> getIngredientes() {
        return ingredientes;
    }

    public void setIngredientes(ArrayList<String> ingredientes) {
        this.ingredientes = ingredientes;
    }

    public int getVotos() {
        return votos;
    }

    public void setVotos(int votos) {
        this.votos = votos;
    }

    public float getPuntuacion() {
        return puntuacion;
    }

    public void setPuntuacion(float puntuacion) {
        this.puntuacion = puntuacion;
    }
}
